<?php

namespace NoccyLabs\GdImage\Convolution;
use InvalidArgumentException;

interface ConvolutionInterface
{
    /**
     * Return a 3x3 matrix used in the imageaffine call
     *
     * @return array
     */
    public function getMatrix(): array;

    /**
     * Return the 
     * @return float
     */
    public function getDivisor(): float;

    /**
     * Return the offset or bias to apply to the pixels
     * 
     * @return float
     */
    public function getOffset(): float;
}

