<?php

namespace NoccyLabs\GdImage\Mixer;

class CopyMixer implements MixerInterface
{
    private bool $alphablend;

    public function __construct(bool $alphablend=true)
    {
        $this->alphablend = $alphablend;
    }
    public function blend($src, $dest, int $width, int $height)
    {
        imagealphablending($dest, $this->alphablend);
        imagecopy($dest, $src, 0, 0, 0, 0, $width, $height);
    }
}

