<?php

namespace NoccyLabs\GdImage\Transformation;
use GdImage;
use NoccyLabs\GdImage\Rect;

class AffineTransformation implements TransformationInterface
{
    private $matrix = [ 1, 0, 0, 0, 1, 0 ];

    public function __construct(array $matrix)
    {
        $this->matrix = $matrix;
    }

    public function applyTransform(GdImage $image, ?Rect $rect=null)
    {
        // TODO implement clip via 3rd arg
        imageaffine($image, $this->matrix);
    }

    public static function translate(int $x, int $y): AffineTransformation
    {
        
    }
}

