<?php

namespace NoccyLabs\GdImage\Process\Filter;

use GdImage;
use NoccyLabs\GdImage\Process\ProcessInterface;

class FilterProcess implements ProcessInterface
{
    protected int $filter;

    protected array $args;
    
    public function __construct(int $filter, ...$args)
    {
        $this->filter = $filter;
        $this->args = $args;
    }


    public function applyProcess(GdImage $image)
    {
        imagefilter($image, $this->filter, ...$this->args);
    }
}

